#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Common lib for kdepim
Name:           pimcommon
Epoch:          2
Version: 20.12.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros
BuildRequires:  xsltproc
BuildRequires:  boost-devel

BuildRequires:  cmake(KF5Akonadi) >= 5.3.1
BuildRequires:  cmake(KF5AkonadiContact) >= 5.3.1
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5AkonadiSearch)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Ldap)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5IMAP)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Sonnet)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5Libkdepim) >= 5.3.0
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(Grantlee5)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5Purpose)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)

Requires:       purpose


%description
Common lib for kdepim.

%files -f %name.lang
%_kf5_categoriesdir/pimcommon.*categories

#--------------------------------------------------------------------

%define kf5pimcommon_major 5
%define libkf5pimcommon %mklibname kf5pimcommon %{kf5pimcommon_major}

%package -n %libkf5pimcommon
Summary:        Common lib for kdepim
Group:          System/Libraries
Requires:       %name >= %epoch:%version

%description -n %libkf5pimcommon
Common lib for kdepim.

%files -n %libkf5pimcommon
%_kf5_libdir/libKF5PimCommon.so.%{kf5pimcommon_major}{,.*}

#--------------------------------------------------------------------

%define kf5pimcommonakonadi_major 5
%define libkf5pimcommonakonadi %mklibname kf5pimcommonakonadi %{kf5pimcommonakonadi_major}

%package -n %libkf5pimcommonakonadi
Summary:        Common lib for kdepim
Group:          System/Libraries
Requires:       %name >= %epoch:%version

%description -n %libkf5pimcommonakonadi
Common lib for kdepim.

%files -n %libkf5pimcommonakonadi
%_kf5_libdir/libKF5PimCommonAkonadi.so.%{kf5pimcommonakonadi_major}{,.*}

#--------------------------------------------------------------------

%define kf5pimcommon_devel %mklibname kf5pimcommon -d

%package -n %kf5pimcommon_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5pimcommon = %epoch:%version-%release
Requires:       %libkf5pimcommonakonadi = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5pimcommon_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5pimcommon_devel
%_kf5_includedir/pimcommon/
%_kf5_includedir/PimCommon/
%_kf5_includedir/PimCommonAkonadi/
%_kf5_includedir/pimcommonakonadi/
%_kf5_includedir/pimcommon_version.h
%_kf5_includedir/pimcommonakonadi_version.h
%_kf5_libdir/libKF5PimCommon.so
%_kf5_libdir/libKF5PimCommonAkonadi.so
%_kf5_libdir/cmake/KF5PimCommon/
%_kf5_libdir/cmake/KF5PimCommonAkonadi/
%_kf5_mkspecsdir/qt_PimCommon.pri
%_kf5_mkspecsdir/qt_PimCommonAkonadi.pri
%_qt5_plugindir/designer/pimcommonwidgets.so
%_qt5_plugindir/designer/pimcommoniakonadiwidgets.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655709
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644090
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633910
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627149
- New version 20.08.1

* Thu Aug 20 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1616711
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604214
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596951
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584601
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568228
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559418
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540760
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513393
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1467051
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457996
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447577
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1425084
- New version 19.04.3

* Tue Apr 16 2019 daviddavid <daviddavid> 2:19.04.0-2.mga7
+ Revision: 1391563
- rebuild for arm

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390539
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387757
- New version 19.03.90

* Mon Apr 01 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1383930
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375768
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365662
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356599
- New version 18.12.1

* Thu Dec 20 2018 daviddavid <daviddavid> 2:18.12.0-2.mga7
+ Revision: 1343902
- enable KF5Purpose support

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339604
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332834
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327487
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1300278
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229153
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201984
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1195006
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1186548
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143140
- New version 17.08.0

* Tue Aug 08 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1138837
- New version 17.07.90

* Wed Jul 26 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131198
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090169
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076911
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073762
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067421
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061485
- New version 16.08.2

* Fri Sep 23 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1055466
- Do not build on armv5tl

* Tue Sep 13 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1051946
- New version 16.08.1

* Wed Aug 24 2016 daviddavid <daviddavid> 2:16.08.0-3.mga6
+ Revision: 1048094
- do not required kdepim-addons because of circular dependencies

* Mon Aug 22 2016 daviddavid <daviddavid> 2:16.08.0-2.mga6
+ Revision: 1047846
- do not versioned required kdepim-addons

* Mon Aug 22 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1047841
- New version 16.08.0

* Sun Jul 24 2016 daviddavid <daviddavid> 2:16.04.3-2.mga6
+ Revision: 1043506
- add kdepim-addons as a Requires (fixes mga#18650)

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040152
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012642
- New version 16.04.1

* Thu May 05 2016 neoclust <neoclust> 2:16.04.0-2.mga6
+ Revision: 1009598
- Add epoch to ease upgrade

* Mon Apr 25 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1005979
- New version 16.04.0

* Mon Apr 18 2016 neoclust <neoclust> 16.03.80-3.mga6
+ Revision: 1003372
- Fix package name

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-2.mga6
+ Revision: 996845
- Add Require on main package in lib
- imported package pimcommon

